package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.employContract.entity.EmployContract;
import org.jeecg.modules.employJob.entity.EmployJob;
import org.jeecg.modules.employResume.entity.EmployResume;

import javax.servlet.http.HttpServletRequest;

public interface BossApiService {

    /***************首页***************/

    //首页-查询简历列表带分页
    public Result<?> queryResumeListByAll(EmployResume employResume, PageBean pageBean, HttpServletRequest req);

    //首页-根据Id查看简历详情
    public Result<?> queryResumeById(String token, String resumeId);

    //首页-发布招工
    public Result<?> addJob(EmployJob employJob);

    /***************会员中心***************/
    //会员中心-我的收藏
    public Result<?> queryJobCollectionList(String token, PageBean pageBean);

    //会员中心-我的收藏(数量统计)
    public Result<?> queryJobCollectionCount(String token);

    //会员中心-联系记录-我看过谁
    public Result<?> queryWatchWho(String token, PageBean pageBean);

    //会员中心-联系记录-我看过谁(数量统计)
    public Result<?> queryWatchWhoCount(String token);

    //会员中心-联系记录-我看过谁
    public Result<?> queryWatchMe(String token, PageBean pageBean);

    //会员中心-联系记录-我看过谁(数量统计)
    public Result<?> queryWatchMeCount(String token);

    //会员中心-联系记录-我的招工
    public Result<?> queryJobListByUserId(String token, PageBean pageBean);

    //电子合同-获取电子合同列表
    public Result<?> queryContractList(String token, EmployContract employContract, PageBean pageBean);

    //电子合同-获取电子合同详情
    public Result<?> queryContracById(String token, String contractId);

}
